Loading...
Searching...
No Matches
Opm::Properties::UseLinearizationLock< TypeTag, MyTypeTag > Struct Template Reference

use locking to prevent race conditions when linearizing the global system of equations in multi-threaded mode. More...

`#include <fvbaseproperties.hh>`

## Public Types

using | type = UndefinedProperty

## Detailed Description

template<class TypeTag, class MyTypeTag>
struct Opm::Properties::UseLinearizationLock< TypeTag, MyTypeTag >

use locking to prevent race conditions when linearizing the global system of equations in multi-threaded mode.

(setting this property to true is always save, but it may slightly deter performance in multi-threaded simlations and some discretizations do not need this.)

The documentation for this struct was generated from the following file:

- opm/models/discretization/common/fvbaseproperties.hh